Bug 169185 - bad: kernel-xen0 panic
bad: kernel-xen0 panic
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-24 03:55 EDT by Andrey
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:34:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrey 2005-09-24 03:55:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ru-RU; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
boot kernel-xen0
kernel-2.6.12-1.1456_FC4xen0 - result: kernel panic
kernel-2.6.12-1.1447_FC4xen0 - result: kernel panic
kernel-2.6.12-1.1398_FC4xen0 - result: it's good

console:

*************************************************
CPU FATAL TRAP: vector=6 (invalid operand)
[error_code=0000]
Aieee CPU is toast
*************************************************

reboot 5 second

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1456_FC4xen0 and kernel-2.6.12-1.1447_FC4xen0

How reproducible:
Always

Steps to Reproduce:
1. boot kernel 1447_FC4xen0 and 1456_FC4xen0

Actual Results:  .

Expected Results:  .

Additional info:

cat /proc/cpuinfo:
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Celeron(R) CPU 2.80GHz
stepping        : 9
cpu MHz         : 2793.063
cache size      : 128 KB
fdiv_bug        : no
hlt_bug         : yes
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips        : 5583.66

cat /proc/pci:
PCI devices found:
  Bus  0, device   0, function  0:
    Class 0600: PCI device 8086:2578 (rev 2).
      Prefetchable 32 bit memory at 0xf8000000 [0xfbffffff].
  Bus  0, device   1, function  0:
    Class 0604: PCI device 8086:2579 (rev 2).
      Master Capable.  Latency=32.  Min Gnt=4.
  Bus  0, device   3, function  0:
    Class 0604: PCI device 8086:257b (rev 2).
      Master Capable.  Latency=32.  Min Gnt=6.
  Bus  0, device  29, function  0:
    Class 0c03: PCI device 8086:24d2 (rev 2).
      IRQ 16.
      I/O at 0xcc00 [0xcc1f].
  Bus  0, device  29, function  1:
    Class 0c03: PCI device 8086:24d4 (rev 2).
      IRQ 19.
      I/O at 0xd000 [0xd01f].
  Bus  0, device  29, function  2:
    Class 0c03: PCI device 8086:24d7 (rev 2).
      IRQ 18.
      I/O at 0xd400 [0xd41f].
  Bus  0, device  29, function  3:
    Class 0c03: PCI device 8086:24de (rev 2).
      IRQ 16.
      I/O at 0xd800 [0xd81f].
  Bus  0, device  29, function  7:
    Class 0c03: PCI device 8086:24dd (rev 2).
      IRQ 23.
      Non-prefetchable 32 bit memory at 0xfebffc00 [0xfebfffff].
  Bus  0, device  30, function  0:
    Class 0604: PCI device 8086:244e (rev 194).
      Master Capable.  No bursts.  Min Gnt=10.Max Lat=2.
  Bus  0, device  31, function  0:
    Class 0601: PCI device 8086:24d0 (rev 2).
  Bus  0, device  31, function  1:
    Class 0101: PCI device 8086:24db (rev 2).
      IRQ 18.
      I/O at 0xffa0 [0xffaf].
      Non-prefetchable 32 bit memory at 0x40000000 [0x400003ff].
  Bus  0, device  31, function  2:
    Class 0101: PCI device 8086:24d1 (rev 2).
      IRQ 18.
      I/O at 0xec00 [0xec07].
      I/O at 0xe800 [0xe803].
      I/O at 0xe400 [0xe407].
      I/O at 0xe000 [0xe003].
      I/O at 0xdc00 [0xdc0f].
  Bus  0, device  31, function  3:
    Class 0c05: PCI device 8086:24d3 (rev 2).
      IRQ 17.
      I/O at 0xc800 [0xc81f].
  Bus  2, device   1, function  0:
    Class 0200: PCI device 8086:1019 (rev 0).
      IRQ 18.
      Master Capable.  No bursts.  Min Gnt=255.
      Non-prefetchable 32 bit memory at 0xfc9e0000 [0xfc9fffff].
      I/O at 0xac00 [0xac1f].
  Bus  3, device   6, function  0:
    Class 0300: PCI device 1002:4752 (rev 39).
      IRQ 20.
      Master Capable.  Latency=32.  Min Gnt=8.
      Non-prefetchable 32 bit memory at 0xfd000000 [0xfdffffff].
      I/O at 0xb800 [0xb8ff].
      Non-prefetchable 32 bit memory at 0xfeaff000 [0xfeafffff].
  Bus  3, device   8, function  0:
    Class 0200: PCI device 8086:1050 (rev 1).
      IRQ 20.
      Master Capable.  Latency=32.  Min Gnt=8.Max Lat=56.
      Non-prefetchable 32 bit memory at 0xfeafe000 [0xfeafefff].
      I/O at 0xbc00 [0xbc3f].
Comment 1 Dave Jones 2005-09-30 02:51:08 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 2 Dave Jones 2005-11-10 14:58:37 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Dave Jones 2006-02-03 02:08:19 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-04 21:34:46 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.